package credit_usage

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/credit_usage"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /credit_usage/update credit_usage UpdateCreditUsage
//
// Update credit usage information | 更新CreditUsage
//
// Update credit usage information | 更新CreditUsage
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: CreditUsageInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateCreditUsageHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CreditUsageInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := credit_usage.NewUpdateCreditUsageLogic(r.Context(), svcCtx)
		resp, err := l.UpdateCreditUsage(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
